### Hierarchy

- Item

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Item(spec: ISpecification): Item

- - Defined in lib/renderable/item/index.ts:15

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Item

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/item/index.ts:15

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/item/index.ts:24

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc